> For the complete documentation index, see [llms.txt](https://docs.zenfinder.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zenfinder.ai/reference/api-reference/calls.md).

# Calls

## Create Call

## Create a call for a user

<mark style="color:green;">`POST`</mark> `https://api.zenfinder.ai/v1/calls`

This endpoint returns a `call_url` that can be used to open a Zenfinder session (web page) where the user will be connected to a provider.

#### Request

**Headers**

* `Authorization: Bearer <token>` (required)
* `Content-Type: application/json`

#### Request Body

| Name          | Type   | Description                                                                                                                                                        |
| ------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| query         | string | String specifying what the user is looking for. Passing this will pre search for that person before the user joins the call.                                       |
| redirect\_url | string | URL to which the user will be redirected after the call ends. Must be an absolute URL. e.g "<https://zenfinder.ai>"                                                |
| location      | object | Object with latitude and longitude values (floats). This helps Zenfinder match providers closest to the user’s current location.                                   |
| address       | string | Conditionally Optional Required if location is not present. Address of where the user is calling. Must have a minimum of the city and country. e.g "Lagos Nigeria" |
| caller\_name  | string | Optional. Name of the user who is calling.                                                                                                                         |

{% tabs %}
{% tab title="200: OK Ok" %}

```json
{ 
    "call_id": "call_01F...", 
    "call_url": "https://zenfinder.ai/call/call_01F...?metadata=eyJhb...",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zenfinder.ai/reference/api-reference/calls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
